--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- mapinfo.lua
--

local mapinfo = {
	name        = "DeltaSiegeDry S",
	shortname   = "",
	description = "DeltaSiegeDry S, Just DSD with some extra for BA {credits to IceXuick for the map}",
	author      = "",
	version     = "",
	--mutator   = "deployment";
	--mapfile   = "", --// location of smf/sm3 file (optional)
	modtype     = 3, --// 1=primary, 0=hidden, 3=map
	depend      = {"Map Helper v1"},
	replace     = {},

	--startpic   = "", --// deprecated
	--StartMusic = "", --// deprecated

	maphardness     = 10,
	notDeformable   = false,
	gravity         = 120,
	tidalStrength   = 24,
	maxMetal        = 1,
	extractorRadius = 100,
	voidWater       = true,
	autoShowMetal   = true,


	smf = {
		minheight = 100,
		maxheight = 660,
		--smtFileName0 = "",
		--smtFileName1 = "",
		--smtFileName.. = "",
		--smtFileNameN = "",
	},

	sound = {
		--// Sets the _reverb_ preset (= echo parameters),
		--// passfilter (the direct sound) is unchanged.
		--//
		--// To get a list of all possible presets check:
		--//   https://github.com/spring/spring/blob/master/rts/System/Sound/EFXPresets.cpp
		--//
		--// Hint:
		--// You can change the preset at runtime via:
		--//   /tset UseEFX [1|0]
		--//   /tset snd_eaxpreset preset_name   (may change to a real cmd in the future)
		--//   /tset snd_filter %gainlf %gainhf  (may    "   "  "  "    "  "   "    "   )
		preset = "default",

		passfilter = {
			--// Note, you likely want to set these
			--// tags due to the fact that they are
			--// _not_ set by `preset`!
			--// So if you want to create a muffled
			--// sound you need to use them.
			gainlf = 1.0,
			gainhf = 1.0,
		},

		reverb = {
			--// Normally you just want use the `preset` tag
			--// but you can use handtweak a preset if wanted
			--// with the following tags.
			--// To know their function & ranges check the
			--// official OpenAL1.1 SDK document.
			
			--density
			--diffusion
			--gain
			--gainhf
			--gainlf
			--decaytime
			--decayhflimit
			--decayhfratio
			--decaylfratio
			--reflectionsgain
			--reflectionsdelay
			--reflectionspan
			--latereverbgain
			--latereverbdelay
			--latereverbpan
			--echotime
			--echodepth
			--modtime
			--moddepth
			--airabsorptiongainhf
			--hfreference
			--lfreference
			--roomrollofffactor
		},
	},

	resources = {
		--grassBladeTex    	= "grassbladetex.bmp",
		--grassShadingTex  	= "grassshading.bmp",
		--detailTex = "",
		--specularTex = "specularmap.bmp",
		--splatDetailTex = "splattex.tga",
		--splatDistrTex = "splatdistribution.tga",
		--skyReflectModTex = "",
		--detailNormalTex = "detailtex.bmp",
		--lightEmissionTex = "",
	},

	splats = {
		TexScales		=	{ 0.000, 0.000, 0.000, 0.0000 },
		TexMults		=	{ 0.0, 0.0, 0.0, 0.0 },
	},

	atmosphere = {
		minWind      = 1.0,
		maxWind      = 13.0,

		fogStart     = 0.9,
		fogEnd       = 1.0,
		fogColor     = {0.63, 0.74, 0.28},

		sunColor     = {1, 0.99, 0.81},
		skycolor     = { 0.76, 0.83, 1 },
		skyDir       = {0.0, 0.0, -1.0},
		skyBox       = "cloudysunset.dds",

		cloudDensity = 0.3,
		cloudColor   = {1, 0.89, 0.7},
	},

	grass = {
		bladeWaveScale = 3.0,
		bladeWidth  = 0.5,
		bladeHeight = 6.0,
		bladeAngle  = 1.57,
		bladeColor  = {0.59, 0.81, 0.57}, --// does nothing when `grassBladeTex` is set
	},

	lighting = {
		--// dynsun
		sunStartAngle = 0.0,
		sunOrbitTime  = 1440.0,
		sundir        = { 0.5, 0.10, -0.0 },

		--// unit & ground lighting
         groundambientcolor				= { 1, 1, 1 },
         grounddiffusecolor            = { 1.0, 0.9, 0.8 },
         groundsuncolor            = { 1.0, 1, 1 },
         groundshadowdensity           = 0.2,
         unitambientcolor				= { 1, 0.93, 0.67 },
         unitdiffusecolor           = { 1.0, 0.9, 0.8 },
         unitsuncolor               = { 1.0, 0.93, 0.67 },
         unitshadowdensity          = 0.2,
		 specularsuncolor				= { 1, 1, 1 },
		
		specularExponent    = 100.0,
	},
	
	water = {
		damage =  0.0,

		repeatX = 0.0,
		repeatY = 0.0,

		absorb    = { 0.7, 0.7, 0.7 },
		basecolor = { 0.84, 0.94, 1 },
		mincolor  = { 1, 1, 1 },

		ambientFactor  = 1.0,
		diffuseFactor  = 1.0,
		specularFactor = 1.0,
		specularPower  = 20.0,

        planecolor				= { 0.76, 0.88, 1 },

		surfacecolor  = { 0.44, 0.66, 1 },
		surfaceAlpha  = 0.1,
		diffuseColor  = {1.0, 1.0, 1.0},
		specularColor = {0.5, 0.5, 0.5},

		fresnelMin   = 0.2,
		fresnelMax   = 0.8,
		fresnelPower = 4.0,

		reflectionDistortion = 1.0,

		blurBase      = 2.0,
		blurExponent = 1.5,

		perlinStartFreq  =  8.0,
		perlinLacunarity = 3.0,
		perlinAmplitude  =  0.9,
		windSpeed = 1.0, --// does nothing yet

		shoreWaves = true,
		forceRendering = false,

		--// undefined == load them from resources.lua!
		--texture =       "",
		--foamTexture =   "",
		--normalTexture = "",
		--caustics = {
		--	"",
		--	"",
		--},
	},

	teams = {
		[0] = {startPos = {x = 2033, z = 852}},
		[0] = {startPos = {x = 2034, z = 852}},
		[0] = {startPos = {x = 2035, z = 852}},
		[0] = {startPos = {x = 2036, z = 852}},
		[0] = {startPos = {x = 2037, z = 852}},
		[0] = {startPos = {x = 2038, z = 852}},
		[0] = {startPos = {x = 2039, z = 852}},
		[0] = {startPos = {x = 2040, z = 852}},
		[0] = {startPos = {x = 2041, z = 852}},
		[0] = {startPos = {x = 2042, z = 852}},
		[1] = {startPos = {x = 6134, z = 852}},
		[1] = {startPos = {x = 6135, z = 852}},
		[1] = {startPos = {x = 6136, z = 852}},
		[1] = {startPos = {x = 6137, z = 852}},
		[1] = {startPos = {x = 6138, z = 852}},
		[1] = {startPos = {x = 6139, z = 852}},
		[1] = {startPos = {x = 6140, z = 852}},
		[1] = {startPos = {x = 6141, z = 852}},
		[1] = {startPos = {x = 6142, z = 852}},
		[1] = {startPos = {x = 6143, z = 852}},
	},

	terrainTypes = {
		[0] = {
			name = "Floris",
			hardness = 15.0,
			receiveTracks = true,
			moveSpeeds = {
				tank  = 1.0,
				kbot  = 1.0,
				hover = 1.0,
				ship  = 1.0,
			},
		},

		[50] = {
			name = "[ACE]Gasmask",
			hardness = 15.0,
			receiveTracks = true,
			moveSpeeds = {
				tank  = 1.1,
				kbot  = 1.0,
				hover = 1.0,
				ship  = 1.0,
			},
		},

		[100] = {
			name = "[LOeT]Paste",
			hardness = 13.0,
			receiveTracks = true,
			moveSpeeds = {
				tank  = 1.0,
				kbot  = 0.9,
				hover = 1.0,
				ship  = 1.0,
			},
		},

		[150] = {
			name = "[LOeT]Zinn",
			hardness = 20.0,
			receiveTracks = true,
			moveSpeeds = {
				tank  = 0.9,
				kbot  = 1.0,
				hover = 0.9,
				ship  = 1.0,
			},
		},

		[255] = {
			name = "[LOeT]Brenner",
			hardness = 50.0,
			receiveTracks = true,
			moveSpeeds = {
				tank  = 1.0,
				kbot  = 1.0,
				hover = 1.0,
				ship  = 1.0,
			},
		},
	},

	custom = {
		fog = {
			color    = {0.26, 0.30, 0.41},
			height   = "80%", --// allows either absolue sizes or in percent of map's MaxHeight
			fogatten = 0.003,
		},
		precipitation = {
			density   = 30000,
			size      = 1.5,
			speed     = 50,
			windscale = 1.2,
			texture   = 'LuaGaia/effects/snowflake.png',
		},
	},
}

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Helper

local function lowerkeys(ta)
	local fix = {}
	for i,v in pairs(ta) do
		if (type(i) == "string") then
			if (i ~= i:lower()) then
				fix[#fix+1] = i
			end
		end
		if (type(v) == "table") then
			lowerkeys(v)
		end
	end
	
	for i=1,#fix do
		local idx = fix[i]
		ta[idx:lower()] = ta[idx]
		ta[idx] = nil
	end
end

lowerkeys(mapinfo)

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
-- Map Options

do
	local function tmerge(t1, t2)
		for i,v in pairs(t2) do
			if (type(v) == "table") then
				t1[i] = t1[i] or {}
				tmerge(t1[i], v)
			else
				t1[i] = v
			end
		end
	end

	getfenv()["mapinfo"] = mapinfo
		local files = VFS.DirList("mapconfig/mapinfo/", "*.lua")
		table.sort(files)
		for i=1,#files do
			local newcfg = VFS.Include(files[i])
			if newcfg then
				lowerkeys(newcfg)
				tmerge(mapinfo, newcfg)
			end
		end
	getfenv()["mapinfo"] = nil
end

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------

return mapinfo

--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
