-- UNITDEF -- AACH --
--------------------------------------------------------------------------------

local unitName = "aach"

--------------------------------------------------------------------------------

local unitDef = {
	acceleration = 0.12,
	bmcode = 1,
	brakeRate = 0.004,
	buildCostEnergy = 7370,
	buildCostMetal = 496,
	buildDistance = 150,
	builder = true,
	buildTime = 12495,
	canGuard = true,
	canHover = true,
	canMove = true,
	canPatrol = true,
	canreclamate = 1,
	canstop = 1,
	category = [[ALL HOVER MOBILE NOTSUB NOWEAPON NOTSHIP NOTAIR]],
	copyright = [[Copyright 1997 Humongous Entertainment. All rights reserved.]],
	corpse = [[dead]],
	defaultmissiontype = [[Standby]],
	description = [[Tech Level 2]],
	designation = [[ARM-AHC2]],
	downloadable = 1,
	energyMake = 22,
	energyStorage = 160,
	energyUse = 2,
	explodeAs = [[BIG_UNITEX]],
	footprintX = 4,
	footprintZ = 4,
	frenchdescription = [[Niveau Tech 2]],
	frenchname = [[Hovercraft de constr. volu]],
	germandescription = [[Tech Level 2]],
	germanname = [[Verb. Konstruktions-Hovecraft]],
	italiandescription = [[Tecnologia Livello 2]],
	italianname = [[Hovercraft da costruzione Spec.]],
	maneuverleashlength = 640,
	maxDamage = 2423,
	maxSlope = 16,
	maxVelocity = 1.6,
	maxWaterDepth = 0,
	metalMake = 0.6,
	metalStorage = 100,
	mobilestandorders = 1,
	movementClass = [[HOVER4]],
	name = [[Advanced Construction Hover]],
	noAutoFire = false,
	noChaseCategory = [[VTOL]],
	objectName = [[AACH]],
	selfDestructAs = [[BIG_UNIT]],
	shootme = 1,
	side = [[ARM]],
	sightDistance = 270,
	spanishdescription = [[Nivel Tecn. 2]],
	spanishname = [[Hovercraft Av. de Constr.]],
	standingmoveorder = 1,
	steeringmode = 1,
	threed = 1,
	turnRate = 820,
	unitname = [[aach]],
	unitnumber = 11000,
	version = 1.2,
	workerTime = 260,
	zbuffer = 1,
	buildoptions = {
		[1] = [[armuwfus]],
		[2] = [[armfus]],
		[3] = [[armuwmme]],
		[4] = [[armuwmmm]],
		[5] = [[armmoho]],
		[6] = [[armmmkr]],
		[7] = [[armuwadves]],
		[8] = [[armuwadvms]],
		[9] = [[armfatf]],
		[10] = [[armplat]],
		[11] = [[armasy]],
		[12] = [[asubpen]],
		[13] = [[aahp]],
		[14] = [[aahpns]],
		[15] = [[armason]],
		[16] = [[armfflak]],
		[17] = [[armatl]],
		[18] = [[armflosh]],
		[19] = [[armarad]],
		[20] = [[armveil]],
		[21] = [[armfort]],
		[22] = [[armasp]],
		[23] = [[armtarg]],
		[24] = [[armsd]],
		[25] = [[armgate]],
		[26] = [[amgeo]],
		[27] = [[armflak]],
		[28] = [[mercury]],
		[29] = [[armemp]],
		[30] = [[armamd]],
		[31] = [[armsilo]],
		[32] = [[armbrtha]],
		[33] = [[armvulc]],
		[34] = [[armdf]],
	},
	featureDefs = nil,
	sounds = {
		build = [[nanlath1]],
		canceldestruct = [[cancel2]],
		repair = [[repair1]],
		underattack = [[warning1]],
		working = [[reclaim1]],
		cant = {
			[1] = [[cantdo4]],
		},
		count = {
			[1] = [[count6]],
			[2] = [[count5]],
			[3] = [[count4]],
			[4] = [[count3]],
			[5] = [[count2]],
			[6] = [[count1]],
		},
		ok = {
			[1] = [[hovmdok1]],
		},
		select = {
			[1] = [[hovmdsl1]],
		},
	},
}

--------------------------------------------------------------------------------

local featureDefs = {
	dead = {
		blocking = true,
		category = [[arm_corpses]],
		damage = 0.6000 * unitDef.maxDamage,
		description = [[Advanced construction hover wreckage ]],
		featurereclamate = [[smudge01]],
		footprintX = 3,
		footprintZ = 4,
		height = 20,
		hitdensity = 100,
		metal = 0.8000 * unitDef.buildCostMetal,
		object = [[aach_dead]],
		reclaimable = true,
		seqnamereclamate = [[tree1reclamate]],
		world = [[All Worlds]],
	},
}
unitDef.featureDefs = featureDefs

--------------------------------------------------------------------------------

return lowerkeys({[unitName] = unitDef})

--------------------------------------------------------------------------------
