-- UNITDEF -- CACH --
--------------------------------------------------------------------------------

local unitName = "cach"

--------------------------------------------------------------------------------

local unitDef = {
	acceleration = 0.12,
	bmcode = 1,
	brakeRate = 0.024,
	buildCostEnergy = 6455,
	buildCostMetal = 520,
	buildDistance = 150,
	builder = true,
	buildTime = 13029,
	canGuard = true,
	canHover = true,
	canMove = true,
	canPatrol = true,
	canreclamate = 1,
	canstop = 1,
	category = [[ALL HOVER MOBILE NOTSUB NOWEAPON NOTSHIP NOTAIR]],
	copyright = [[Copyright 1997 Humongous Entertainment. All rights reserved.]],
	corpse = [[dead]],
	defaultmissiontype = [[Standby]],
	description = [[Tech Level 2]],
	designation = [[HB-ACW]],
	downloadable = 1,
	energyMake = 21,
	energyStorage = 160,
	energyUse = 2,
	explodeAs = [[BIG_UNITEX]],
	footprintX = 4,
	footprintZ = 4,
	frenchdescription = [[Niveau Tech 2]],
	frenchname = [[Hovercraft de constr. volu]],
	germandescription = [[Tech Level 2]],
	germanname = [[Verb. Konstruktions-Hovecraft]],
	italiandescription = [[Tecnologia Livello 2]],
	italianname = [[Hovercraft da costruzione Spec.]],
	maneuverleashlength = 640,
	maxDamage = 2440,
	maxSlope = 16,
	maxVelocity = 1.6,
	maxWaterDepth = 0,
	metalMake = 0.6,
	metalStorage = 100,
	mobilestandorders = 1,
	movementClass = [[HOVER4]],
	name = [[Advanced Construction Hover]],
	noAutoFire = false,
	noChaseCategory = [[VTOL]],
	objectName = [[CACH]],
	selfDestructAs = [[BIG_UNIT]],
	shootme = 1,
	side = [[CORE]],
	sightDistance = 270,
	spanishdescription = [[Nivel Tecn. 2]],
	spanishname = [[Hovercraft Av. de Constr.]],
	standingmoveorder = 1,
	steeringmode = 1,
	threed = 1,
	turnRate = 815,
	unitname = [[cach]],
	unitnumber = 11004,
	version = 1.2,
	workerTime = 260,
	zbuffer = 1,
	buildoptions = {
		[1] = [[coruwfus]],
		[2] = [[corfus]],
		[3] = [[coruwmme]],
		[4] = [[coruwmmm]],
		[5] = [[cormoho]],
		[6] = [[cormmkr]],
		[7] = [[coruwadves]],
		[8] = [[coruwadvms]],
		[9] = [[corfatf]],
		[10] = [[corplat]],
		[11] = [[corasy]],
		[12] = [[csubpen]],
		[13] = [[cahp]],
		[14] = [[cahpns]],
		[15] = [[corason]],
		[16] = [[corenaa]],
		[17] = [[coratl]],
		[18] = [[corflshd]],
		[19] = [[corarad]],
		[20] = [[corshroud]],
		[21] = [[corfort]],
		[22] = [[corasp]],
		[23] = [[cortarg]],
		[24] = [[corsd]],
		[25] = [[cmgeo]],
		[26] = [[corgate]],
		[27] = [[corflak]],
		[28] = [[screamer]],
		[29] = [[cortron]],
		[30] = [[corfmd]],
		[31] = [[corsilo]],
		[32] = [[corint]],
		[33] = [[corbuzz]],
	},
	featureDefs = nil,
	sounds = {
		build = [[nanlath1]],
		canceldestruct = [[cancel2]],
		repair = [[repair1]],
		underattack = [[warning1]],
		working = [[reclaim1]],
		cant = {
			[1] = [[cantdo4]],
		},
		count = {
			[1] = [[count6]],
			[2] = [[count5]],
			[3] = [[count4]],
			[4] = [[count3]],
			[5] = [[count2]],
			[6] = [[count1]],
		},
		ok = {
			[1] = [[hovmdok2]],
		},
		select = {
			[1] = [[hovmdsl2]],
		},
	},
}

--------------------------------------------------------------------------------

local featureDefs = {
	dead = {
		blocking = true,
		category = [[core_corpses]],
		damage = 0.6000 * unitDef.maxDamage,
		description = unitDef.name .. [[ Wreckage]],
		featurereclamate = [[smudge01]],
		footprintX = 3,
		footprintZ = 4,
		height = 20,
		hitdensity = 100,
		metal = 0.8000 * unitDef.buildCostMetal,
		object = [[cach_dead]],
		reclaimable = true,
		seqnamereclamate = [[tree1reclamate]],
		world = [[All Worlds]],
	},
}
unitDef.featureDefs = featureDefs

--------------------------------------------------------------------------------

return lowerkeys({[unitName] = unitDef})

--------------------------------------------------------------------------------
